#include <wx/config.h>			// to let wxWidgets choose a wxConfig class for your platform
#include <wx/confbase.h>		// base config class
#include <wx/fileconf.h>		// wxFileConfig class
#include "Types.h"

class CRemoteSettings {
public:
	CRemoteSettings();
	~CRemoteSettings();

	void ReadSettings(wxConfigBase *cfg);
	void SaveSettings();

	void PrintAllValues();

	void SaveToFile();
	void CheckUpdate();
	void FileDownloadedCallback(int result);

	long kadRepublishTimeK;
	long kadRepublishTimeS;
	long kadRepublishTimeN;

	long kadTotalStoreKey;
	long kadTotalStoreSrc;
	long kadTotalStoreNotes;

	long kadTotalSearchFile;

	long kadMaxSrcFile;
	long kadMaxNotFile;

	double kadFreshGuess_Tol;
	double kadFreshGuess_Weight;
	long  kadFreshGuess_NoNorm;
	long  kadFreshGuess_LowNorm;

	long maxSrc;
	long maxSrcUdp;

	long kadFindValue;
	long kadStore;
	long kadFindNode;

	long kadReaskTime;
	long kadPubTime;

	long kadReaskIncs;

  long mVer;

	unsigned char kadOpcode;
	unsigned char kadZOpcode;

	wxString UpdateURL;

private:
	wxFileConfig *cfg;
	wxString ConfigDir;

	int failCount;
	time_t nextUpdate;
	long expireTime;
	long recheckTime; 
};
